Bug 579290 - RFE: add python3-ply subpackage to the build
RFE: add python3-ply subpackage to the build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-ply (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Python3F13
  Show dependency treegraph
 
Reported: 2010-04-03 19:01 EDT by Dave Malcolm
Modified: 2010-04-09 00:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-ply-3.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 00:09:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to add python3 subpackage (3.76 KB, patch)
2010-04-03 19:04 EDT, Dave Malcolm
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2010-04-03 19:01:38 EDT
Description of problem:
http://www.dabeaz.com/ply/ states that as of v3, PLY supports both Python 2 and Python 3 from the same sources.

I'm attaching a patch to F-13/devel's python-ply.spec which makes the build emit a python3-ply subpackage, parallel to the main python 2 subpackage.

Barely tested, but seems to work:
[david@f13 F-13]$ python3 /usr/share/doc/python-ply-3.3/example/BASIC/basic.py
Generating LALR tables
[BASIC] 10 PRINT "HELLO"
[BASIC] 20 GOTO 10
[BASIC] 30 END
[BASIC] RUN
HELLO
(etc)
Comment 1 Dave Malcolm 2010-04-03 19:04:04 EDT
Created attachment 404354 [details]
Patch to add python3 subpackage

I've attempted to follow the python3 common SRPM approach here: https://fedoraproject.org/wiki/Packaging:Python
Comment 2 Fedora Update System 2010-04-06 14:53:45 EDT
python-ply-3.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-ply-3.3-2.fc13
Comment 3 Fedora Update System 2010-04-09 00:09:07 EDT
python-ply-3.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.